Package picard.vcf

## Class GatherVcfs

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.vcf.GatherVcfs

-     @DocumentedFeature
      public class GatherVcfs
      extends CommandLineProgram

  Simple little class that combines multiple VCFs that have exactly the same set of samples and nonoverlapping sets of loci.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `List<String>` | `COMMENT` |
    `List<File>` | `INPUT` |
    `File` | `OUTPUT` |
    `boolean` | `REORDER_INPUT_BY_FIRST_VARIANT` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GatherVcfs()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `doWork()` | Do the work after command line has been parsed.

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Argument(shortName="I",
                    doc="Input VCF file(s).")
          public List<File> INPUT

    - #### OUTPUT

          @Argument(shortName="O",
                    doc="Output VCF file.")
          public File OUTPUT

    - #### COMMENT

          @Argument(doc="Comment(s) to include in the merged output file\'s header.",
                    optional=true,
                    shortName="CO")
          public List<String> COMMENT

    - #### REORDER_INPUT_BY_FIRST_VARIANT

          @Argument(doc="If \'true\' the program will reorder INPUT according to the genomic location of the first variant in each file. this is useful since the order of variants in each file in INPUT come from non overlapping regions  but the order of the files in INPUT is untrusted.",
                    optional=true,
                    shortName="RI")
          public boolean REORDER_INPUT_BY_FIRST_VARIANT

  - ### Constructor Detail

    - #### GatherVcfs

          public GatherVcfs()

  - ### Method Detail

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.